﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) Capacitance VER /1409
DATE:                  2017-02-14 12:12:29
AUTHOR:                Fluke
REVISION:              $Revision: 18287 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       214
STANDARD:              GenRad 1409-L
STANDARD:              GenRad 1409-T
STANDARD:              GenRad 1409-Y
STANDARD:              IET 1409-10uF
STANDARD:              IET 1409-100uF
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source:
#        Meterman 38XR Operating Manual, PN 1990734, Copyright Oct 2002
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  The following accuracy files will be included in ver. 7.1!
#
#  For MET/CAL 7.01, after installing the procedures, move the files from:
#    "user_cwd" (default c:\metcal\station)
#  to:
#    "accdir" (default c:\metcal\acc)
#
#    $Data_file: 1409-L_10nF_95_1yr.acc $  GenRad 1409-L accuracy file
#    $Data_file: 1409-T_100nF_95_1yr.acc $ GenRad 1409-T accuracy file
#    $Data_file: 1409-Y_1uF_95_1yr.acc $   GenRad 1409-Y accuracy file
#    $Data_file: 1409-10uF_95_1yr.acc $    IET 1409-10µF accuracy file
#    $Data_file: 1409-100uF_95_1yr.acc $   IET 1409-100µF accuracy file
#  End of new accuracy files.
#
#  $Data_file: std_cap.ini $     Standard Capacitor data
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  MATH         PUT("Validate", 0)

  1.002  RSLT         =
  1.003  HEAD         {CAPACITANCE}
  1.004  DISP         Rotate the DUT function switch to Capacitance.

  1.005  RSLT         =
  1.006  HEAD         -2{40 nF Range}
  1.007  STD          GenRad 1409-L
  1.008  FMT          CPT = %.2f
# Set Instrument Name to STD name.
  1.009  MATH         PUT("Instrument_Name", "GenRad 1409-L")
# Set Nominal value to 10 nF.
  1.010  MATH         PUT("Nominal_Value", 10E-9)
# Set type of units.
  1.011  MATH         PUT("Units", "Farads")
# Set name of data file.
  1.012  MATH         PUT("Data_File", "std_cap.ini")
  1.013  CALL         Sub Get Fixed Standard Certified Value
# Copy certified value of capacitor to L[1] for further use.
  1.014  MATH         L[1] = MEM

# Retrieve Instrument Name and store in MEM2 for subsequent ACCV function use.
  1.015  MATH         MEM2 = GET("Instrument_Name")
# Retrieve Cal Uncertainty (in base units) of certified value.
  1.016  MATH         L[2] = ACCV(MEM2, "UCal", L[1])
# Retrieve Confidence Level of standard capacitor.
  1.017  MATH         L[30] = CONF(MEM2)
# Convert UCal (in base units) to ppm of certified value and normalize.
  1.018  MATH         L[2] = ((L[2] / L[1]) / 1E-6) / L[30]
# Retrieve Stability specification (in base units) of certified value.
  1.019  MATH         L[3] = ACCV(MEM2, "Stability", L[1])
# Convert Stability (in base units) to ppm of certified value and normalize.
  1.020  MATH         L[3] = ((L[3] / L[1]) / 1E-6) / SQRT(3)
# RSS uncertainty components and expand by a factor of two.
  1.021  MATH         L[4] = (RSS2(L[2], L[3])) * 2
  1.022  FMT          CPT = %.2f
  1.023  TARGET       -p
  1.024  DISP         Connect 10 nF Standard Capacitor to
  1.024  DISP         DUT -|(- and COM terminals.
  1.025  MATH         MEM = L[1] / 1E-9
  1.026  ACC    10    nF             L4P%
  1.027  TARGET       -m
  1.028  MEMI         Enter DUT reading in nanofarads:
  1.029  MEMCX  40    nF             3% 0.10U

  2.001  RSLT         =
  2.002  HEAD         -2{400 nF Range}
  2.003  STD          GenRad 1409-T
  2.004  MATH         PUT("Instrument_Name", "GenRad 1409-T")
  2.005  MATH         PUT("Nominal_Value", 100E-9)
  2.006  MATH         PUT("Units", "Farads")
  2.007  MATH         PUT("Data_File", "std_cap.ini")
  2.008  CALL         Sub Get Fixed Standard Certified Value
  2.009  MATH         L[1] = MEM

  2.010  MATH         MEM2 = GET("Instrument_Name")
  2.011  MATH         L[2] = ACCV(MEM2, "UCal", L[1])
  2.012  MATH         L[30] = CONF(MEM2)
  2.013  MATH         L[2] = ((L[2] / L[1]) / 1E-6) / L[30]
  2.014  MATH         L[3] = ACCV(MEM2, "Stability", L[1])
  2.015  MATH         L[3] = ((L[3] / L[1]) / 1E-6) / SQRT(3)
  2.016  MATH         L[4] = (RSS2(L[2], L[3])) * 2
  2.017  FMT          CPT = %.1f
  2.018  TARGET       -p
  2.019  DISP         Connect 100 nF Standard Capacitor to
  2.019  DISP         DUT -|(- and COM terminals.
  2.020  MATH         MEM = L[1] / 1E-9
  2.021  ACC    100   nF             L4P%
  2.022  TARGET       -m
  2.023  MEMI         Enter DUT reading in nanofarads:
  2.024  MEMCX  40    nF             3% 0.5U

  3.001  RSLT         =
  3.002  HEAD         -2{4 µF Range}
  3.003  STD          GenRad 1409-Y
  3.004  MATH         PUT("Instrument_Name", "GenRad 1409-Y")
  3.005  MATH         PUT("Nominal_Value", 1E-6)
  3.006  MATH         PUT("Units", "Farads")
  3.007  MATH         PUT("Data_File", "std_cap.ini")
  3.008  CALL         Sub Get Fixed Standard Certified Value
  3.009  MATH         L[1] = MEM

  3.010  MATH         MEM2 = GET("Instrument_Name")
  3.011  MATH         L[2] = ACCV(MEM2, "UCal", L[1])
  3.012  MATH         L[30] = CONF(MEM2)
  3.013  MATH         L[2] = ((L[2] / L[1]) / 1E-6) / L[30]
  3.014  MATH         L[3] = ACCV(MEM2, "Stability", L[1])
  3.015  MATH         L[3] = ((L[3] / L[1]) / 1E-6) / SQRT(3)
  3.016  MATH         L[4] = (RSS2(L[2], L[3])) * 2
  3.017  TARGET       -p
  3.018  DISP         Connect 1 µF Standard Capacitor to
  3.018  DISP         DUT -|(- and COM terminals.
  3.019  FMT          CPT = %.3f
  3.020  TARGET
  3.021  MATH         MEM = L[1] / 1E-6
  3.022  ACC    1     uF             L4P%
  3.023  TARGET       -m
  3.024  MEMI         Enter DUT reading in microfarads:
  3.025  MEMCX  4     uF             3% 0.005U

  4.001  RSLT         =
  4.002  HEAD         -2{40 µF Range}
  4.003  STD          IET 1409-10uF
  4.004  MATH         PUT("Instrument_Name", "IET 1409-10uF")
  4.005  MATH         PUT("Nominal_Value", 10E-6)
  4.006  MATH         PUT("Units", "Farads")
  4.007  MATH         PUT("Data_File", "std_cap.ini")
  4.008  CALL         Sub Get Fixed Standard Certified Value
  4.009  MATH         L[1] = MEM

  4.010  MATH         MEM2 = GET("Instrument_Name")
  4.011  MATH         L[2] = ACCV(MEM2, "UCal", L[1])
  4.012  MATH         L[30] = CONF(MEM2)
  4.013  MATH         L[2] = ((L[2] / L[1]) / 1E-6) / L[30]
  4.014  MATH         L[3] = ACCV(MEM2, "Stability", L[1])
  4.015  MATH         L[3] = ((L[3] / L[1]) / 1E-6) / SQRT(3)
  4.016  MATH         L[4] = (RSS2(L[2], L[3])) * 2
  4.017  DISP         Connect 10 µF Standard Capacitor to
  4.017  DISP         DUT -|(- and COM terminals.
  4.018  FMT          CPT = %.2f
  4.019  TARGET       -p
  4.020  MATH         MEM = L[1] / 1E-6
  4.021  ACC    10    uF             L4P%
  4.022  TARGET       -m
  4.023  MEMI         Enter DUT reading in microfarads:
  4.024  MEMCX  40    uF             3% 0.05U

  5.001  RSLT         =
  5.002  HEAD         -2{400 µF Range}
  5.003  STD          IET 1409-100uF
  5.004  MATH         PUT("Instrument_Name", "IET 1409-100uF")
  5.005  MATH         PUT("Nominal_Value", 100E-6)
  5.006  MATH         PUT("Units", "Farads")
  5.007  MATH         PUT("Data_File", "std_cap.ini")
  5.008  CALL         Sub Get Fixed Standard Certified Value
  5.009  MATH         L[1] = MEM

  5.010  MATH         MEM2 = GET("Instrument_Name")
  5.011  MATH         L[2] = ACCV(MEM2, "UCal", L[1])
  5.012  MATH         L[30] = CONF(MEM2)
  5.013  MATH         L[2] = ((L[2] / L[1]) / 1E-6) / L[30]
  5.014  MATH         L[3] = ACCV(MEM2, "Stability", L[1])
  5.015  MATH         L[3] = ((L[3] / L[1]) / 1E-6) / SQRT(3)
  5.016  MATH         L[4] = (RSS2(L[2], L[3])) * 2
  5.017  FMT          CPT = %.1f
  5.018  TARGET       -p
  5.019  DISP         Connect 100 µF Standard Capacitor to
  5.019  DISP         DUT -|(- and COM terminals.
  5.020  MATH         MEM = L[1] / 1E-6
  5.021  ACC    100   uF             L4P%
  5.022  TARGET       -m
  5.023  MEMI         Enter DUT reading in microfarads:
  5.024  MEMCX  400   uF             3% 1.0U

  6.001  HEAD         -2
  6.002  HEAD
  6.003  DISP         Remove all connections.
  6.004  END
